<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context=".ServerConfig">

    <!-- Scrollable content -->
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="15sp"
            android:paddingTop="20sp"
            android:orientation="vertical"
            android:gravity="top">

            <!-- Numero de série -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginBottom="10sp">
                <TextView
                    android:layout_marginBottom="7sp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Numero de série"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText"/>
                <EditText
                    android:id="@+id/numero_serie"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:hint="2343234"
                    android:drawablePadding="5dp"
                    android:textSize="14sp"
                    android:drawableStart="@drawable/hashtag"
                    android:background="@drawable/edittext_outline_white"
                    android:inputType="number"
                    android:enabled="false"/>
            </LinearLayout>

            <!-- Marque -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginBottom="10sp">
                <TextView
                    android:layout_marginBottom="7sp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Marque"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText"/>
                <EditText
                    android:id="@+id/brand"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:hint="MobiIot"
                    android:drawablePadding="5dp"
                    android:textSize="14sp"
                    android:drawableStart="@drawable/hashtag"
                    android:background="@drawable/edittext_outline_white"
                    android:inputType="number"
                    android:enabled="false"/>
            </LinearLayout>

            <!-- Model -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginBottom="10sp">
                <TextView
                    android:layout_marginBottom="7sp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Model"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText"/>
                <EditText
                    android:id="@+id/model"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:hint="POS Printer"
                    android:drawablePadding="5dp"
                    android:textSize="14sp"
                    android:drawableStart="@drawable/hashtag"
                    android:background="@drawable/edittext_outline_white"
                    android:inputType="number"
                    android:enabled="false"/>
            </LinearLayout>

            <!-- Point de vente -->
            <!-- Container du champ autocomplete -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginBottom="10sp">

                <!-- Label -->
                <TextView
                    android:layout_marginBottom="7sp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Point de vente"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText"/>

                <!-- Cadre EditText -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:padding="5dp"
                    android:gravity="center_vertical">

                    <EditText
                        android:id="@+id/point_de_vente"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:drawablePadding="5dp"
                        android:layout_height="50dp"
                        android:hint="Point de Missira"
                        android:textSize="14sp"
                        android:drawableStart="@drawable/hashtag"
                        android:background="@drawable/edittext_outline_white"
                        android:inputType="text"/>
                </LinearLayout>

                <!-- Container de la liste autocomplete -->
                <FrameLayout
                    android:id="@+id/autocompleteContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:visibility="gone"
                    android:background="@drawable/autocomplet_background"
                    android:elevation="4dp">

                    <!-- Loader -->
                    <LinearLayout
                        android:id="@+id/loaderContainer"
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:orientation="horizontal"
                        android:gravity="center"
                        android:visibility="gone"
                        android:padding="10dp">

                        <ProgressBar
                            android:id="@+id/loader"
                            style="?android:attr/progressBarStyleSmall"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:indeterminate="true"/>
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Chargement..."
                            android:layout_marginStart="10dp"
                            android:textSize="14sp"
                            android:textColor="@android:color/black"/>
                    </LinearLayout>

                    <!-- RecyclerView autocomplete -->
                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/pointRecyclerView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:clipToPadding="false"
                        android:nestedScrollingEnabled="false"/>
                </FrameLayout>
            </LinearLayout>


            <!-- Type -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginBottom="10sp">
                <TextView
                    android:layout_marginBottom="7sp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Type"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText"/>
                <EditText
                    android:id="@+id/type"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:hint="@string/imei_example"
                    android:drawablePadding="5dp"
                    android:textSize="14sp"
                    android:drawableStart="@drawable/hashtag"
                    android:background="@drawable/edittext_outline_white"
                    android:inputType="number"
                    android:enabled="false"/>
            </LinearLayout>

            <!-- Boutons -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="30sp"
                android:gravity="center">
                <Button
                    android:id="@+id/cancel"
                    android:layout_width="200dp"
                    android:layout_marginRight="3sp"
                    android:layout_height="40dp"
                    android:background="@color/primary_red"
                    android:text="@string/cancel"/>
                <Button
                    android:id="@+id/validate"
                    android:layout_marginLeft="3sp"
                    android:layout_width="200dp"
                    android:layout_height="40dp"
                    android:background="@color/primary_green"
                    android:text="@string/validate"/>
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
</FrameLayout>
